Jump to content

ijsf

Administrators
  • Content Count

    877
  • Joined

  • Last visited

Everything posted by ijsf

  1. ijsf

    LA Conference?

    That's correct. I think this sounds like a great idea and I'd be more than willing to do a talk (or whatever you have in mind) about the techniques behind our project. I'll be in and around Los Angeles from the 16th of October for at least a week. Of course you can always contact me personally at the e-mail address provided in the source code or ijsf at gmx.net if you'd like to discuss the details in private.
  2. ijsf

    LA Conference?

    Hi Roy, Sounds like an interesting concept. I happen to be in L.A. from end October to early November, perhaps we can work something out here.
  3. Our development team never appointed a project leader since 2003, when it merged with the original YaMM developers. Due to mutual respect of developers (except for this particular person) and constraints of the project our team has always pursued decisions that were democratic (e.g. where everyone agreed). This was no exception when Kye joined our team, and subsequentially left, and joined again, and left again and joined again and left again and joined again and ultimately left to work on his own spinoff (with the supposed reason of wanting to create a more "RPG"-oriented mod) where he could
  4. Due to the recent shutdown of a third-party service we have used for our user account and serial number management, and the majority of problems that have appeared with this system, we have decided to bring out a new game client that is meant to fix all related problems. We have disabled the serial number (and user account) system that was implemented in v1.0-dp2, which means anyone should be able to play Multi Theft Auto again. We have chosen to release this minor version instead of our next major v1.0-dp3 version due to some major changes we have made in this new version that are not yet s
  5. Due to the recent shutdown of a third-party service we have used for our user account and serial number management, and the majority of problems that have appeared with this system, we have decided to bring out a new game client that is meant to fix all related problems. We have disabled the serial number (and user account) system that was implemented in v1.0-dp2, which means anyone should be able to play Multi Theft Auto again. We have chosen to release this minor version instead of our next major v1.0-dp3 version due to some major changes we have made in this new version that are not yet s
  6. Please upgrade to v1.0-dp2.3 to fix your issues.
  7. This is not supposed to happen. You should verify that you have a GTA San Andreas executable that is version 1.0 (European or United States only) and not anything else, since is the most likely source of your problem.
  8. Try the following fix: - Locate your GTA San Andreas directory (usually c:\Program Files\Rockstar Games\GTA San Andreas) - Navigate to the 'MTA' directory - Open 'coreconfig.xml' in Notepad (or any other plain-text editor) - Search for '' - Change the number after the above phrase (usually '255') to '248', without the quotes, e.g.: 248 - Start Multi Theft Auto and see if the problem is gone
  9. Installing v1.0-dp2.3 should fix your problem.
  10. Please download and install the new v1.0-dp2.3 that was released today. This should fix your problem as no account is necessary any more.
  11. Although I agree on some of your points, I must say that your overall post is a little narrow-minded, that being an understatement. Destructive criticism, name calling and blatantly offending is something I wouldn't normally expect from someone claiming to work professionally for 12 years in any business, but I guess your business must be one of those that does not involve a lot of communication with other people (or say, customers). As you can see from the replies, it doesn't really help in making a convincing point (twice), given the fact that you're only bringing up 2 points in your entire
  12. ijsf

    GTA live map

    Looks nice. We will be releasing a SA-MP emulation/interpreter with DP3, so you could choose to wait a little longer, or of course learn Lua. The latter would be a good choice anyways.
  13. Problem has been solved. Please download DP2.2 or wait for DP3.
  14. ijsf

    Serial number problems

    Multi Theft Auto v1.0-dp2.3 has been released and should fix your account and serial number problems.
  15. ijsf

    Serial number problems

    We have made a number of changes to our serial system on our end, and we've adjusted the launcher in a way that serials are no longer validated. If anyone in here has any problems with starting Multi Theft Auto, please download the archive below, extract it to your Multi Theft Auto installation directory (usually in Program Files\Multi Theft Auto, overwriting the old .exe file) and try again. Please let us know if this works. http://www.mtasa.com/files/mtasadm_dp21_serialfix.zip
  16. There seems to be an issue with the current implementation of some code. We will try to fix this in one of the next releases.
  17. That information can be obtained from the wiki through 3 clicks: http://development.mtasa.com/index.php?title=Deathmatch_Server_Manual#Starting_a_map.2Fgamemode
  18. You have to give more information in order for us to help you, e.g.: are you using an external web server for HTTP transfers, are you running Linux or Windows?
  19. Please check out http://forum.mtasa.com/viewtopic.php?f=90&t=20919
  20. If you were talking about the Generic build, try making a symbolic link from libcurl.so.4 to libcurl.so.3, not really ideal but may just do the job for you. As root, try the following: $ ln -s /usr/lib/libcurl.so.4 /usr/lib/libcurl.so.3 If it doesn't work (and gives some different error), be sure to remove the symbolic link again, just to be sure: $ rm /usr/lib/libcurl.so.3
  21. This means your glibc version is probably outdated. Again, you could try one of the builds that were built with an older version glibc, but for the sake of support, try to run the following command on your server: $ ls -al /lib/libc* Which should give you a list of versions for your installed libraries, e.g.: -rwxr-xr-x 1 root root 1253660 Dec 31 16:06 /lib/libc-2.7.so lrwxrwxrwx 1 root root 11 Dec 31 16:06 /lib/libc.so.6 -> libc-2.7.so lrwxrwxrwx 1 root root 11 Dec 31 16:06 /lib/libcap.so -> libcap.so.1 lrwxrwxrwx 1 root root 14 Dec 31 16:06 /lib/libcap.so.1
  22. libcurl.so.4 is the CURL library dependency, which means you need the latest CURL library installed on your system. If you're the administrator (root) of your server, it's as "simple" as running an emerge sync (emerge --sync) and emerging the latest curl 7 (emerge curl), probably making sure any dependencies are updated as well (e.g. revdep-rebuild). If you're not the administrator or if you don't feel like doing the above, you should install the Generic Linux build (which uses an older dependency, namely libcurl.so.3).
×
×
  • Create New...